<?php

    /**
     * Plugin administration
     */

    namespace IdnoPlugins\TwitterProxy\Pages {

        /**
         * Default class to serve the homepage
         */
        class Auth extends \Idno\Common\Page
        {

            function getContent()
            {
                $this->gatekeeper(); // Logged-in users only
                if ($twitter = \Idno\Core\site()->plugins()->get('TwitterProxy')) {
                    $login_url = 'http://known.reclaimhosting.com/sign_in.php?redirect_uri='.urlencode(\Idno\Core\site()->config()->getDisplayURL().'twitter/callback');
                    $this->forward($login_url); exit;
                }
                $this->forward($_SERVER['HTTP_REFERER']);
            }

            function postContent() {
                $this->getContent();
            }

        }

    }