<?php

    /**
     * Plugin administration
     */

    namespace IdnoPlugins\TwitterProxy\Pages {

        /**
         * Default class to serve the homepage
         */
        class Callback extends \Idno\Common\Page
        {

            function get()
            {
                $this->gatekeeper(); // Logged-in users only

                    if ($twitter = \Idno\Core\site()->plugins()->get('TwitterProxy')) {
	                   	$consumer_key = trim($this->getInput('consumer_key'));
		                $consumer_secret = trim($this->getInput('consumer_secret'));
		                \Idno\Core\site()->config->config['twitter'] = array(
		                    'consumer_key' => $consumer_key,
		                    'consumer_secret' => $consumer_secret
		                );
		                \Idno\Core\site()->config()->save();
	                    $token = $this->getInput('token');
	                    $secret = $this->getInput('secret');
	                    $screenname = $this->getInput('screenname');
	                    if(!empty($screenname)){
                        $user = \Idno\Core\site()->session()->currentUser();
                        \Idno\Core\site()->syndication()->registerServiceAccount('twitter', $screenname, '@' . $screenname);
                            $user->twitter[$screenname] = array('user_token' => $token, 'user_secret' => $secret, 'screen_name' => $screenname);
                            $user->save();
                            \Idno\Core\site()->session()->addMessage('Your Twitter credentials were saved.');
                        }
                        else {
                            \Idno\Core\site()->session()->addMessage('Your Twitter credentials could not be saved.');
                        }
                        if (!empty($_SESSION['onboarding_passthrough'])) {
                            unset($_SESSION['onboarding_passthrough']);
                            $this->forward(\Idno\Core\site()->config()->getDisplayURL() . 'begin/connect-forwarder');
                        }
                        $this->forward(\Idno\Core\site()->config()->getDisplayURL() . 'account/twitter');
                    }
                }
            }
}
